petsc-3.4.2 2013-07-02

# PetscOptionsGetScalar

Gets the scalar value for a particular option in the database.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscOptionsGetScalar(const char pre[],const char name[],PetscScalar *dvalue,PetscBool  *set)

Not Collective

### Input Parameters

| pre | - string to prepend to each name or NULL
| name | - the option one is seeking

### Output Parameter

| dvalue | - the double value to return
| set | - PETSC_TRUE if found, else PETSC_FALSE

### Usage

A complex number 2+3i can be specified as 2,3 at the command line. or a number 2.0e-10 - 3.3e-20 i can be specified as 2.0e-10,-3.3e-20

Note: if the option is given but no value is provided then set is given the value PETSC_FALSE

### See Also

PetscOptionsGetInt(), PetscOptionsHasName(),
PetscOptionsGetString(), PetscOptionsGetIntArray(), PetscOptionsGetRealArray(), PetscOptionsBool(), PetscOptionsName(), PetscOptionsBegin(), PetscOptionsEnd(), PetscOptionsHead(), PetscOptionsStringArray(),PetscOptionsRealArray(), PetscOptionsScalar(), PetscOptionsBoolGroupBegin(), PetscOptionsBoolGroup(), PetscOptionsBoolGroupEnd(), PetscOptionsList(), PetscOptionsEList()

Level:beginner
Location:src/sys/objects/options.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex25.c.html
src/ksp/ksp/examples/tutorials/ex39.c.html
src/ksp/ksp/examples/tutorials/ex40.c.html
src/ksp/ksp/examples/tutorials/ex49.c.html
src/snes/examples/tutorials/ex54.c.html
src/snes/examples/tutorials/ex55.c.html
src/snes/examples/tutorials/ex58.c.html
src/ts/examples/tutorials/ex21.c.html
src/ts/examples/tutorials/ex23.c.html